Overview | Modules | Class Hierarchy | Classes | Members
# tlp::IntegerVectorProperty Class Reference [Properties] `#include <IntegerProperty.h>` Inherits tlp::AbstractProperty< IntegerVectorType, IntegerVectorType >. Inheritance diagram for tlp::IntegerVectorProperty: [legend] Collaboration diagram for tlp::IntegerVectorProperty: [legend] List of all members. ## Public Member Functions IntegerVectorProperty (Graph *g, std::string n="") PropertyInterface * clonePrototype (Graph *, const std::string &) ## Constructor & Destructor Documentation
tlp::IntegerVectorProperty::IntegerVectorProperty | ( | Graph * | g,
|  | std::string | n = `""`
| ) | `[inline]`
## Member Function Documentation
PropertyInterface* tlp::IntegerVectorProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`
| Create an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied. Implements tlp::PropertyInterface.

Tulip Software by LaBRI Visualization Team 2001 - 2010